## epics-extensions 20130514.5

=== configure/Makefile ===
# Revision-Id: anj@aps.anl.gov-20101005192737-disfz3vs0f3fiixd

TOP=..

include $(TOP)/configure/CONFIG

TARGETS = $(CONFIG_TARGETS)

include $(TOP)/configure/RULES

=== debian/changelog ===
epics-extensions (20130514.5) unstable; urgency=medium

  * '::' vs. ':' conflict w/ Base 3.15 in RULES_PYTHON

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Thu, 10 Mar 2016 19:39:58 -0500

epics-extensions (20130514.4) unstable; urgency=low

  * Rebuild for deb 8

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Thu, 21 May 2015 11:32:18 -0400

epics-extensions (20130514.3) unstable; urgency=low

  * debian/control: fix typos
  * CONFIG_SITE: Do not set SHARED_LIBRARIES = NO

 -- Ralph Lange <Ralph.Lange@gmx.de>  Fri, 07 Jun 2013 09:15:20 +0200

epics-extensions (20130514.2) unstable; urgency=low

  * avoid spurious warning with debian 6.0

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Thu, 16 May 2013 12:10:38 -0400

epics-extensions (20130514.1) unstable; urgency=low

  * Regenerate using makeBaseExt from EPICS Base 3.14.12.3
  * Add defs for new multiarch library locations
  * debian/control: Bump standards to 3.9.4 with no updates,
    add Ralph Lange to Uploaders, update epics-dev dependency
  * debian/rules: fix lintian warnings
  * debian/copyright: update, fix lintian warnings

 -- Ralph Lange <Ralph.Lange@gmx.de>  Tue, 14 May 2013 22:49:08 +0200

epics-extensions (20091204.1) unstable; urgency=low

  * Install in /usr/lib/epics

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Mon, 16 Aug 2010 16:21:23 -0400

epics-extensions (20091204) unstable; urgency=low

  * Regenerate using makeBaseExt from EPICS Base 3.14.10

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Fri, 04 Dec 2009 12:48:18 -0500

epics-extensions (20070703-1) unstable; urgency=low

  * Initial release

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Mon, 22 Jun 2009 11:48:19 -0400

=== debian/control ===
Source: epics-extensions
Section: devel
Priority: extra
Maintainer: Michael Davidsaver <mdavidsaver@gmail.com>
Uploaders: Ralph Lange <Ralph.Lange@gmx.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.4
Homepage: http://www.aps.anl.gov/epics/

Package: epics-extensions-dev
Architecture: all
Depends: epics-dev (>= 3.14.12.3-1), ${misc:Depends}
Description: Build infrastructure for EPICS extensions
 Common makefiles for building EPICS extensions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:

clean: 
	dh_testdir
	dh_testroot

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -r configure $(CURDIR)/debian/epics-extensions-dev/usr/lib/epics/extensions/


# Build architecture-dependent files here.
binary-arch:
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_lintian
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
